


/*--------DDsmoothmenu Initialization--------*/
ddsmoothmenu.init({
    mainmenuid: "menu", //menu DIV id
    orientation: 'h', //Horizontal or vertical menu: Set to "h" or "v"
    classname: 'ddsmoothmenu', //class added to menu's outer DIV
    //customtheme: ["#1c5a80", "#18374a"],
    contentsource: "markup" //"markup" or ["container_id", "path_to_menu_file"]
});
//Flexslider


jQuery.noConflict();
jQuery("document").ready(function () {
    jQuery('.flexslider').flexslider({
        animation: "fade", //String: Select your animation type, "fade" or "slide"
        slideDirection: "horizontal", //String: Select the sliding direction, "horizontal" or "vertical"
        slideshow: true, //Boolean: Animate slider automatically
        slideshowSpeed: jQuery("#txt_slidespeed").val(), //Integer: Set the speed of the slideshow cycling, in milliseconds
        animationDuration: 600, //Integer: Set the speed of animations, in milliseconds
        directionNav: true, //Boolean: Create navigation for previous/next navigation? (true/false)
        controlNav: false, //Boolean: Create navigation for paging control of each clide? Note: Leave true for manualControls usage
        keyboardNav: true, //Boolean: Allow slider navigating via keyboard left/right keys
        mousewheel: false, //Boolean: Allow slider navigating via mousewheel
        prevText: "Previous", //String: Set the text for the "previous" directionNav item
        nextText: "Next", //String: Set the text for the "next" directionNav item
        pausePlay: false, //Boolean: Create pause/play dynamic element
        pauseText: 'Pause', //String: Set the text for the "pause" pausePlay item
        playText: 'Play', //String: Set the text for the "play" pausePlay item
        randomize: false, //Boolean: Randomize slide order
        slideToStart: 0, //Integer: The slide that the slider should start on. Array notation (0 = first slide)
        animationLoop: true, //Boolean: Should the animation loop? If false, directionNav will received "disable" classes at either end
        pauseOnAction: true, //Boolean: Pause the slideshow when interacting with control elements, highly recommended.
        pauseOnHover: true,
//        slideshow: false
    });
    /**
     * Parallax Image Effect
     */
    $window = jQuery(window);
    jQuery('section[data-type="background"]').each(function () {
        var $bgobj = jQuery(this); // assigning the object                    
        jQuery(window).scroll(function () {
// Scroll the background at var speed
// the yPos is a negative value because we're scrolling it UP!								
            var yPos = -($window.scrollTop() / $bgobj.data('speed'));
            // Put together our final background position
            var coords = '50% ' + yPos + 'px';
            // Move the background
            $bgobj.css({backgroundPosition: coords});
        }); // window scroll Ends
    });
});
//Fade images


jQuery(document).ready(function () {
    jQuery("#recent-blog-container").owlCarousel({
        items: 3,
        pagination: true,
        nav: true,
        autoplay: true,
        slideSpeed: 500,
        loop: true,
        margin: 60,
        autoHeight: true,
        responsive: {
            // breakpoint from 0 up
            0: {
                items: 1
            },
            // breakpoint from 480 up
            480: {
                items: 2
            },
            // breakpoint from 768 up
            768: {
                items: 3
            }
        }
    });
});
jQuery(document).ready(function ($) {
    $(".featured_content img, .post img, .sidebar .recent_post li img").hover(function () {
        $(this).stop().animate({opacity: "0.5"}, '500');
    },
            function () {
                $(this).stop().animate({opacity: "1"}, '500');
            });
});
//Tipsy
jQuery(function () {
    jQuery('.social_logos a').tipsy({gravity: 's'});
});
jQuery(document).ready(function () {
    jQuery('.feature_items_up').addClass("hide_sec").viewportChecker({
        classToAdd: 'show_sec animated fadeInDown', // Class to add to the elements when they are visible,
        classToRemove: 'hide_sec'
    });
    jQuery('.feature_items_down').addClass("hide_sec").viewportChecker({
        classToAdd: 'show_sec animated fadeInUp', // Class to add to the elements when they are visible,
        classToRemove: 'hide_sec'
    });
    jQuery('.feature-section-head').addClass("hide_sec").viewportChecker({
        classToAdd: 'show_sec animated fadeInLeftBig', // Class to add to the elements when they are visible,
        classToRemove: 'hide_sec'
    });
    jQuery('.feature-section-desc').addClass("hide_sec").viewportChecker({
        classToAdd: 'show_sec animated fadeInRightBig', // Class to add to the elements when they are visible,
        classToRemove: 'hide_sec'
    });
    jQuery('.single-content-desc-right').addClass("hide_sec").viewportChecker({
        classToAdd: 'show_sec animated fadeInRightBig', // Class to add to the elements when they are visible,
        classToRemove: 'hide_sec'
    });
    jQuery('.single-content-desc-left').addClass("hide_sec").viewportChecker({
        classToAdd: 'show_sec animated fadeInLeftBig', // Class to add to the elements when they are visible,
        classToRemove: 'hide_sec'
    });
    jQuery('.full_cols').addClass("hide_sec").viewportChecker({
        classToAdd: 'show_sec animated fadeInDown', // Class to add to the elements when they are visible,
        classToRemove: 'hide_sec'
    });
    jQuery('.read-more-section').addClass("hide_sec").viewportChecker({
        classToAdd: 'show_sec animated fadeInRightBig', // Class to add to the elements when they are visible,
        classToRemove: 'hide_sec'
    });
    jQuery('.paypalsubmit').addClass("hide_sec").viewportChecker({
        classToAdd: 'show_sec animated fadeInLeftBig', // Class to add to the elements when they are visible,
        classToRemove: 'hide_sec'
    });
});
//jQuery(window).load(function () {
//    jQuery('.feature_items').addClass("hide_sec").viewportChecker({
//        classToAdd: 'show_sec animated slideInLeft', // Class to add to the elements when they are visible,
//        classToRemove: 'hide_sec'
//    });
//});


// masonry layout javascript
jQuery(window).load(function () {
    jQuery('div.gallery').masonry({
        itemSelector: '.displaywell',
    });
});
