<?php
/**
 * The template for displaying Category pages.
 *
 */
get_header();
?>
<!--contact content start-->
<div class="page-breadcumb-container">
    <img src=<?php echo esc_url((figero_get_option('figero_breadcrumb_bg') != '') ? figero_get_option('figero_breadcrumb_bg') : FIGERO_DIR_URI . 'assets/images/breadcrumb-image.png'); ?> />
</div>
<div class="page-info-container">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="page_info">               
                    <?php
                    if (function_exists('figero_breadcrumbs'))
                        figero_breadcrumbs();
                    ?> 
                </div>
            </div>
        </div>
    </div>
</div>
<div class="strip_line"></div>
<div class="content-container"> 
    <div class="container">
        <div class="row">
            <!--<div class="col-md-12">-->
            <div class="content-main">
                <div class="row row-blog">
                    <div class="col-md-8 col-blog col-sm-8">
                        <!--Start content Wrapper-->
                        <div class="content-wrapper">
                            <?php
                            if (have_posts()) :
                                $category_description = category_description();
                                if (!empty($category_description))
                                    echo '' . esc_attr($category_description) . '';
                                /* Run the loop for the category page to output the posts.
                                 * If you want to overload this in a child theme then include a file
                                 * called loop-category.php and that will be used instead.
                                 */

                                if (have_posts()) : while (have_posts()) : the_post();
                                        get_template_part('content');
                                    endwhile;
                                else:
                                    ?>
                                    <div class="blog-info">
                                        <p>
                                            <?php esc_html_e('Sorry, no posts matched your criteria.', 'figero'); ?>
                                        </p>
                                    </div>
                                <?php endif; ?>

                                <div class="clear"></div>
                                <nav id="nav-single"> <span class="nav-previous">
                                        <?php next_posts_link(__('&larr; Older posts', 'figero')); ?>
                                    </span> <span class="nav-next">
                                        <?php previous_posts_link(__('Newer posts &rarr;', 'figero')); ?>
                                    </span> </nav>
                            <?php endif; ?>
                        </div>						
                        <!--End content Wrapper-->
                    </div>               
                    <!--Start Sidebar-->
                    <?php get_sidebar(); ?>
                    <!--End Sidebar-->
                </div>
            </div>
            <!--</div>-->
        </div>
    </div>
</div>
<!--contact content end-->
<?php
get_footer();
