<!-- You can start editing here. -->
<div id="commentsbox">
    <?php if (have_comments()) : ?>
        <h3 id="comments">
            <?php
            comments_number(__('No Responses', 'figero'), __('One Response', 'figero'), __('% Responses', 'figero'));
            esc_html_e('so far.', 'figero');
            ?></h3>
        <ol class="commentlist">
            <?php wp_list_comments(); ?>
        </ol>
        <div class="comment-nav">
            <div class="alignleft">
                <?php previous_comments_link() ?>
            </div>
            <div class="alignright">
                <?php next_comments_link() ?>
            </div>
        </div>
        <?php
    else : // this is displayed if there are no comments so far 
    endif;
    if (comments_open()) :
        ?>

        <div id="comment-form">
            <div id="respond" class="rounded">
                <div class="post-info"><?php esc_html_e('Leave a Review', 'figero'); ?></div>
                <div class="cancel-comment-reply"> <small>
                        <?php cancel_comment_reply_link(); ?>
                    </small> </div>
                <?php if (get_option('comment_registration') && !is_user_logged_in()) : ?>
                <?php /* translators: %s - login */ ?>
                <p><?php printf(esc_attr__('You must be <a href="%1$s">logged in</a> to post a comment.', 'figero'), esc_url(wp_login_url(get_permalink()))); ?></p>
                <?php else : ?>

                    <div id="comment-form">
                        <?php comment_form(); ?>
                    </div>

                <?php endif; // If registration required and not logged in         ?>
            </div>
        </div>
    <?php endif; // if you delete this the sky will fall on your head          ?>
</div>