<div id="post-<?php the_ID(); ?>" <?php post_class('blog-info'); ?>>
    <div class="content-info">
        <?php /* translators: %s - Title */ ?>
        <h1 class="page-title"><a href="<?php the_permalink() ?>" rel="bookmark" title=" <?php printf(esc_attr__('Permanent Link to %1$s', 'figero'), get_the_title()); ?>"><?php wp_kses_post(the_title()); ?></a></h1>
        <p class="light"><?php
        /* translators: %s - Author Name */ 
            printf(esc_attr__('Posted by %1$s in %2$s', 'figero'), sprintf('<a href="%1$s">%2$s</a>', esc_url(get_author_posts_url(get_the_author_meta('ID'))), esc_html(get_the_author())), sprintf('<a href="%1$s" rel="bookmark">%2$s</a>', esc_url(get_permalink()), get_the_date('M, Y')));
            ?>
        </p>
        <?php
        if ((function_exists('has_post_thumbnail')) && (has_post_thumbnail())) {
            figero_get_thumbnail(697, 348);
        } else {
            figero_get_image(697, 348);
        }
        the_excerpt();
        ?>
    </div>
    <div class="category">
        <div class="cat"> <img  src="<?php echo esc_url(FIGERO_DIR_URI); ?>assets/images/cat-img-1.png">
            <p><b><?php esc_attr_e('Category:&nbsp;', 'figero'); ?></b>
                <?php the_category(', '); ?>
            </p>
        </div>
        <?php if (has_tag()) { ?>
            <div class="tag"> <img  src="<?php echo esc_url(FIGERO_DIR_URI); ?>assets/images/cat-img-2.png">
                <?php the_tags(__('Post Tagged with ', 'figero'), ', ', ''); ?>
            </div>
        <?php } ?>
    </div>
</div>