<?php

function ge_instagram_widget_css() {
//    wp_enqueue_style('ge-instawidget', GOLDEN_EAGLE_DIR_URI . "/includes/instagram-widget/css/instagram-widget.css", '', '', 'all');
}

add_action('wp_enqueue_scripts', 'ge_instagram_widget_css');

// Creating the widget 
class ge_custom_instagram_widget extends WP_Widget {

    function __construct() {
        parent::__construct(
                'ge_custom_instagram_widget', __('Custom Instagram', 'figero'), array('description' => __('Custom Instagram Widget', 'figero'),)
        );
    }

// Creating widget front-end
    public function widget($args, $instance) {
        wp_enqueue_style('ge-instawidget', get_template_directory_uri() . "/includes/instagram-widget/css/instagram-widget.css", '', '', 'all');

        echo $args['before_widget'];

        $ciw_title = apply_filters('widget_title', $instance['ciw_title']);
//        echo $this->name;
        if (!isset($instance['ciw_username']) || $instance['ciw_username'] == '')
            $instance['ciw_username'] = 'thehautepursuit';
        $username = $instance['ciw_username'];
        $ciw_image_padding = $instance['ciw_image_padding'];
        $ciw_image_padding_unit = $instance['ciw_image_padding_unit'];
        $ciw_follow_button_text = $instance['ciw_follow_button_text'];

// before and after widget arguments are defined by themes
//echo $args['before_widget'];
//if ( ! empty( $userid ) )
//        echo $args['before_title'] . $ciw_title . $args['after_title'];


        function cwi_instagram($url) {
            $ch = WP_Filesystem();
            curl_setopt_array($ch, array(
                CURLOPT_URL => $url,
                CURLOPT_RETURNTRANSFER => true,
                CURLOPT_SSL_VERIFYPEER => false,
                CURLOPT_SSL_VERIFYHOST => 2
            ));

            $feed_data = WP_Filesystem($ch);
            curl_close($ch);
            return $feed_data;
        }

        $user_data = cwi_instagram("https://api.instagram.com/v1/users/search?q=" . $username . "&access_token=1631861081.3a81a9f.9d7b2e2bc94f42df935055677efb2c4d");
        $user_data = json_decode($user_data);
        if (isset($user_data->data[0]->id)) {
            $userid = $user_data->data[0]->id;

            $feed_data = cwi_instagram("https://api.instagram.com/v1/users/" . $userid . "/media/recent/?access_token=1631861081.3a81a9f.9d7b2e2bc94f42df935055677efb2c4d");
            $feed_data = json_decode($feed_data);
            $usernameshow = $feed_data->data[0]->user->username;
            echo $args['before_title'] . $usernameshow . $args['after_title'];
//            echo '<div class="insta_head"><a href="https://instagram.com/' . $usernameshow . '" target="_blank"><div class="instagram_username">' . $usernameshow . '</div></a></div>';

            $data = '';
            $data .= "<div class='ciw_feed'><ul class='instawidget'>";
            $cnt = 0;
            $c = 1;
            foreach ($feed_data->data as $post) {
                switch ($c) {

                    case 1:
                        if ($cnt < 9) {
                            $data .= '<div class="col-md-4 col-sm-4 col-xs-4 imgcol1"><li class="instawidget_img_sec"><a class="realphotography_custom_instagram_widget" target="blank" href="' . $post->link . '"><img src="' . $post->images->standard_resolution->url . '" alt="' . $post->caption->text . '"  style="margin-bottom: ' . $ciw_image_padding . '' . $ciw_image_padding_unit . ' max-width:100%; height:auto;"/></a></li></div>';
                        }
                        $c++;
                        break;
                    case 2:
                        if ($cnt < 9) {
                            $data .= '<div class="col-md-4 col-sm-4 col-xs-4 imgcol2"><li class="instawidget_img_sec"><a class="realphotography_custom_instagram_widget" target="blank" href="' . $post->link . '"><img src="' . $post->images->standard_resolution->url . '" alt="' . $post->caption->text . '"  style="margin-bottom: ' . $ciw_image_padding . '' . $ciw_image_padding_unit . ' max-width:100%; height:auto;"/></a></li></div>';
                        }
                        $c++;
                        break;
                    case 3:
                        if ($cnt < 9) {
                            $data .= '<div class="col-md-4 col-sm-4 col-xs-4 imgcol3"><li class="instawidget_img_sec"><a class="realphotography_custom_instagram_widget" target="blank" href="' . $post->link . '"><img src="' . $post->images->standard_resolution->url . '" alt="' . $post->caption->text . '"  style="margin-bottom: ' . $ciw_image_padding . '' . $ciw_image_padding_unit . ' max-width:100%; height:auto;"/></a></li></div>';
                        }
                        $c = 1;
                        break;
                }
                $cnt++;
            }
            $data .= "</ul></div><div style='clear:both;'></div>";
            echo $data;
        } else {
            _e("sorry something went wrong instagram widget not working", 'figero');
        }
        echo $args['after_widget'];
    }

// Widget Backend 
    public function form($instance) {
// show default values 
        $instance = wp_parse_args((array) $instance, array('ciw_title' => __('Custom Instagram Widget', 'figero'), 'ciw_username' => '', 'ciw_follow_button_text' => __('Follow Us', 'figero'), 'ciw_image_padding' => 3, 'ciw_image_padding_unit' => __('px', 'figero')));
        $ciw_username = $instance['ciw_username'];
        $ciw_title = $instance['ciw_title'];
        $ciw_image_padding = $instance['ciw_image_padding'];
        $ciw_image_padding_unit = $instance['ciw_image_padding_unit'];
        $ciw_follow_button_text = $instance['ciw_follow_button_text'];
// Widget admin form
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('ciw_username'); ?>"><?php _e('User Name:', 'figero'); ?></label> 
            <input class="widefat" id="<?php echo $this->get_field_id('ciw_username'); ?>" name="<?php echo $this->get_field_name('ciw_username'); ?>" value="<?php
            if ($ciw_username != '') {
                echo $ciw_username;
            } else {
                echo 'thehautepursuit';
            }
            ?>" type="text" />
        </p>

        <style type="text/css">
            .ciw_padding_unit {
                vertical-align: baseline!important;
            }              
        </style>
        <?php
    }

// Updating widget replacing old instances with new
    public function update($new_instance, $old_instance) {
        $instance = array();
        $instance['ciw_username'] = (!empty($new_instance['ciw_username']) ) ? strip_tags($new_instance['ciw_username']) : '';
        $instance['ciw_title'] = (!empty($new_instance['ciw_title']) ) ? strip_tags($new_instance['ciw_title']) : '';
        $instance['ciw_image_padding'] = (!empty($new_instance['ciw_image_padding']) ) ? strip_tags($new_instance['ciw_image_padding']) : '';
        $instance['ciw_image_padding_unit'] = (!empty($new_instance['ciw_image_padding_unit']) ) ? strip_tags($new_instance['ciw_image_padding_unit']) : '';
        $instance['ciw_follow_button_text'] = (!empty($new_instance['ciw_follow_button_text']) ) ? strip_tags($new_instance['ciw_follow_button_text']) : '';

        return $instance;
    }

}

// Class realphotography_custom_instagram_widget ends here
// Register and load the widget
function ge_custom_instagram_load_widget() {
    register_widget('ge_custom_instagram_widget');
}

add_action('widgets_init', 'ge_custom_instagram_load_widget');
?>