<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the wordpress construct of pages
 * and that other 'pages' on your wordpress site will use a
 * different template.
 *
 */
get_header();
?>
<!--contact content start-->
<div class="page-breadcumb-container">
    <img src=<?php echo (figero_get_option('inkthemes_breadcrumb_bg') != '') ? figero_get_option('inkthemes_breadcrumb_bg') : FIGERO_DIR_URI . 'assets/images/breadcrumb-image.png'; ?> />
</div>
<div class="page-info-container">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="page_info">
                    <?php
                    if (have_posts()):
                        if (function_exists('figero_breadcrumbs'))
                            figero_breadcrumbs();
                    endif;
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>
<!--<div class="strip_line"></div>-->
<div class="content-container" style="<?php if (figero_get_option('inkthemes_bodybg') != '') { ?>background:url(<?php echo wp_kses_post(figero_get_option('inkthemes_bodybg')); ?>)<?php
}
?>">
    <div class="container">
        <div class="row">
            <!--<div class="col-md-12">-->
            <div class="content-main">
                <div class="row row-blog">
                    <div class="col-md-8 col-blog col-sm-8">
                        <!--Start content Wrapper-->
                        <div class="content-wrapper">
                            <div class="content-info">
                                <?php
                                if (have_posts())
                                    while (have_posts()) : the_post();
                                        ?>
                                        <h1 class="page-heading"><?php the_title(); ?></h1>
                                        <?php
                                        figero_paypal_button(); //Function to create paypal button 
                                        the_content();
                                        wp_link_pages(array('before' => '<div class="clear"></div><div class="page-link"><span>' . __('Pages:', 'figero') . '</span>', 'after' => '</div>'));
                                        ?>
                                        <div class="clear"></div>
                                        <nav id="nav-single"> <span class="nav-previous">
                                                <?php next_posts_link(__('&larr; Older posts', 'figero')); ?>
                                            </span> <span class="nav-next">
                                                <?php previous_posts_link(__('Newer posts &rarr;', 'figero')); ?>
                                            </span> </nav>
                                    <?php endwhile; ?>
                                <!--Start Comment box-->
                                <?php comments_template(); ?>
                                <!--End Comment box-->
                            </div>
                        </div>
                        <!--End content Wrapper-->
                    </div>
                    <!--Start Sidebar-->
                    <?php get_sidebar(); ?>
                    <!--End Sidebar-->
                </div>
            </div>
            <!--</div>-->
        </div>
    </div>
</div>
<!--contact content end-->
<?php
get_footer();
