<div class="footer">
    <div class="row">
        <div class="col-md-3 col-sm-6">
            <div class="footer-one widget_div">
                <?php
                if (is_active_sidebar('first-footer-widget-area'))
                    dynamic_sidebar('first-footer-widget-area');
                else {
                    ?>

                    <div class="sidebar_widget widget_area">
                        <span class="foot_head"><?php _e('About Theme', 'figero'); ?></span>
                        <?php
                        if (figero_get_option('about_agency') != '') {
                            echo "<p>" . figero_get_option('about_agency') . "</p>";
                        } else {
                            ?>
                            <p>
                                <?php _e('Figero – Flexible WordPress Theme enables you to craft clean intuitive website cum landing page for the web users. It is a multipurpose theme which can be adopted by the various business platforms to make their online presence of the business or organization.', 'figero'); ?>
                            </p> <?php } ?>
                    </div>                    

                <?php }
                ?>
            </div>
        </div>
        <div class="col-md-3 col-sm-6">
            <div class="footer-two widget_div">
                <?php
                if (is_active_sidebar('second-footer-widget-area'))
                    dynamic_sidebar('second-footer-widget-area');
                else {
                    ?>

                    <div class="footer_widget_wrapper">
                        <?php
                        $demo = get_categories();
                        ?>
                        <span class="foot_head"><?php _e('Categories', 'figero'); ?></span>

                        <ul>
                            <?php
                            $i = 1;
                            foreach ($demo as $key => $value) {
                                if ($i <= 5) {
                                    ?>
                                    <li>
                                        <a href="<?php echo get_category_link($value->cat_ID); ?> ">
                                            <?php echo $value->cat_name; ?>
                                        </a>
                                    </li>
                                    <?php
                                    $i++;
                                } else {
                                    break;
                                }
                            }
                            ?>
                        </ul>

                    </div>

                <?php }
                ?>
            </div>
        </div>
        <div class="col-md-3 col-sm-6">
            <div class="footer-three widget_div">
                <?php
                if (is_active_sidebar('third-footer-widget-area'))
                    dynamic_sidebar('third-footer-widget-area');
                else {
                    ?>
                    <span class="foot_head"><?php _e('Recent Posts', 'figero'); ?></span>
                    <ul>
                        <?php
                        $args = array('numberposts' => '5');
                        $recent_posts = wp_get_recent_posts($args);
                        foreach ($recent_posts as $recent) {
                            echo '<li><a href="' . get_permalink($recent["ID"]) . '">' . $recent["post_title"] . '</a> </li> ';
                        }
                        wp_reset_query();
                        ?>
                    </ul>
                <?php }
                ?>
            </div>
        </div>
        <div class="col-md-3 col-sm-6">
            <div class="footer-four widget_div">
                <?php
                if (is_active_sidebar('fourth-footer-widget-area')) 
                    dynamic_sidebar('fourth-footer-widget-area');
                else{?>
                <span class="foot_head"><?php _e('Recent Works', 'figero'); ?></span>
                          <?php
                  $instance = array(
                    'numb_post' => 9,
                );
                 the_widget('figero_gallery_widget',$instance);

                }
                ?>
            </div>
        </div>
    </div>
</div>
