<?php
/**
 * The template used to display Tag Archive pages
 *
 * @package WordPress
 * 
 */
get_header();
?>
<!--contact content start-->
<div class="page-breadcumb-container">
    <img src=<?php echo (figero_get_option('figero_breadcrumb_bg') != '') ? figero_get_option('figero_breadcrumb_bg') : FIGERO_DIR_URI . 'assets/images/breadcrumb-image.png'; ?> />
</div>
<div class="page-info-container">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="page_info">
                    <?php
                    if (have_posts()) :
                        if (function_exists('figero_breadcrumbs'))
                            figero_breadcrumbs();
                        ?> 
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--<div class="strip_line"></div>-->
    <div class="content-container">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="content-main">
                        <div class="row row-blog">
                            <div class="col-md-8 col-blog col-sm-8">
                                <!--Start content Wrapper-->
                                <div class="content-wrapper">
                                    <?php
                                    if (have_posts()) : while (have_posts()) : the_post();
                                            get_template_part('content');
                                        endwhile;
                                    else:
                                        ?>
                                        <div class="blog-info">
                                            <p>
                                                <?php _e('Sorry, no posts matched your criteria.', 'figero'); ?>
                                            </p>
                                        </div>
                                    <?php endif; ?>
                                    <div class="clear"></div>
                                    <nav id="nav-single"> <span class="nav-previous">
                                            <?php next_posts_link(__('&larr; Older posts', 'figero')); ?>
                                        </span> <span class="nav-next">
                                            <?php previous_posts_link(__('Newer posts &rarr;', 'figero')); ?>
                                        </span> </nav>
                                </div>
                            </div>
                            <!--End content Wrapper-->
                        <?php endif; ?>
                        <!--Start Sidebar-->
                        <?php get_sidebar(); ?>
                        <!--End Sidebar-->
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!--contact content end-->
<?php
get_footer();
