<?php
/*
  Template Name: Fullwidth Page
 */
get_header();
?>
<!--contact content start-->
<div class="page-breadcumb-container">
    <img src=<?php echo (figero_get_option('figero_breadcrumb_bg') != '') ? figero_get_option('figero_breadcrumb_bg') : FIGERO_DIR_URI . 'assets/images/breadcrumb-image.png'; ?> />
</div>
<div class="page-info-container">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="page_info">
                    <?php
                    if (function_exists('figero_breadcrumbs'))
                        figero_breadcrumbs();
                    ?> 
                </div>
            </div>
        </div>
    </div>
</div>
<!--<div class="strip_line"></div>-->
<div class="content-container" style="<?php if (figero_get_option('figero_bodybg') != '') { ?>background:url(<?php echo wp_kses_post(figero_get_option('figero_bodybg')); ?>)<?php
}
?>">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="content-main fullwidth">
                    <?php
                    if (have_posts()):
                        while (have_posts()) : the_post();
                            ?>
                            <h1 class="page-heading">
                                <?php wp_kses_post(the_title()); ?>
                            </h1>
                            <?php
                            figero_paypal_button(); //Function to create paypal button
                            the_content();
                            wp_link_pages(array(
                                'before' => '<div class="page-links"><span class="page-links-title">' . __('Pages:', 'figero') . '</span>',
                                'after' => '</div>',
                                'link_before' => '<span>',
                                'link_after' => '</span>',
                            ));
                        endwhile;
                    endif;
                    comments_template();
                    ?>
                </div>
            </div>
        </div>
    </div>
</div>
<!--contact content end-->
<?php
get_footer();
